> ## Documentation Index
> Fetch the complete documentation index at: https://quantura.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get search capabilities



## OpenAPI

````yaml /docs/api/openapi.json get /v1/market-search/capabilities
openapi: 3.1.0
info:
  title: Quantura API
  version: 1.0.0
  description: >-
    Search markets and public datasets, download historical observations, create
    forecasts and inspect screener quantiles.
  contact:
    name: Quantura
    url: https://quantura.studio/contact
  license:
    name: Quantura API Terms
    url: https://quantura.studio/terms
servers:
  - url: https://quantura.studio/api
security:
  - bearerAuth: []
  - clerkOAuth:
      - openid
      - profile
      - email
tags:
  - name: Access
  - name: Forecast
  - name: Screener
  - name: Search
  - name: Download
  - name: Scout
paths:
  /v1/market-search/capabilities:
    servers:
      - url: https://quantura.studio/api
    get:
      tags:
        - Search
      summary: Get search capabilities
      operationId: getQuanturaSearchCapabilities
      responses:
        '200':
          description: Successful response (illustrative example)
          content:
            application/json:
              schema:
                type: object
              example:
                ok: true
                providers:
                  kalshi:
                    label: Kalshi
                    assetClasses:
                      - prediction_market
                    search: true
                    history: true
                    forecasting:
                      - prediction_market
                    redistributionStatus: review_required
        '429':
          description: Invalid request or provider unavailable
          content:
            application/json:
              schema:
                type: object
              example:
                ok: false
                error: event_query_invalid
                message: Choose a provider event and a valid continuation cursor.
      security:
        - bearerAuth: []
        - clerkOAuth:
            - openid
            - profile
            - email
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Clerk personal API key or legacy Quantura key
    clerkOAuth:
      type: oauth2
      description: >-
        Clerk authorization code with PKCE S256. Pass
        resource=https://quantura.studio on authorization and token requests.
        Paid Pro, enterprise or verified administrator API access is required.
      flows:
        authorizationCode:
          authorizationUrl: https://clerk.quantura.studio/oauth/authorize
          tokenUrl: https://clerk.quantura.studio/oauth/token
          refreshUrl: https://clerk.quantura.studio/oauth/token
          scopes:
            openid: Identify the Quantura account
            profile: Resolve the account profile
            email: Verify account email
            offline_access: Refresh access after expiry

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.